Skip to main content
GET
/
metrics
/
{metric_id}
/
metric-events
/
dashboard
List dashboard metric events
curl --request GET \
  --url https://api.example.com/metrics/{metric_id}/metric-events/dashboard \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "metric_id": "<string>",
      "trace_id": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "agent_input_display": "<string>",
      "value": "<unknown>",
      "agent_input": null,
      "agent_output": null
    }
  ],
  "total": 123,
  "next_cursor": {
    "created_at": "<string>",
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

metric_id
string
required

Metric ID.

Query Parameters

limit
integer

Maximum number of records to return.

Required range: x >= 1
cursor
string

Pagination cursor.

Response

Dashboard metric events

data
object[]
required
total
number
required
next_cursor
object
required